



@keyframes grain {
  0%, 100% { transform:translate(0, 0); }
  10% { transform:translate(-5%, -10%); }
  20% { transform:translate(-15%, 5%); }
  30% { transform:translate(7%, -25%); }
  40% { transform:translate(-5%, 25%); }
  50% { transform:translate(-15%, 10%); }
  60% { transform:translate(15%, 0%); }
  70% { transform:translate(0%, 15%); }
  80% { transform:translate(3%, 35%); }
  90% { transform:translate(-10%, 10%); }
}



.menu {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	--marquee-width: 100vw;
	--offset: 20vw;
	--move-initial: calc(-25% + var(--offset));
	--move-final: calc(-50% + var(--offset));
	--item-font-size: 10vw;
	counter-reset: menu;
}

.menu__item {
	cursor: default;
	position: relative;
	padding: 0 5vw;
}

.menu__item-link {
	display: inline-block;
	cursor: pointer;
	position: relative;
	-webkit-text-stroke: 1.5px #000;
	text-stroke: 1.5px #000;
	-webkit-text-fill-color: transparent;
	text-fill-color: transparent;
	color: transparent;
	transition: opacity 0.6s;
}

.menu__item-link::before {
	all: initial;
	font-family: sofia-pro, sans-serif;
	counter-increment: menu;
	content:  counter(menu);
	position: absolute;
	bottom: 60%;
	left: 0;
	pointer-events: none;
}

.menu__item-link {
	transition-duration: 0.1s;
	opacity: 0;
}

.menu__item-img {
	pointer-events: none;
	position: absolute;
	height: 50vh;
	max-height: 400px;
	opacity: 0;
	left: 100%;
	top: 50%;
	transform: translate3d(calc(-100% - 6vw),-30%,0) translate3d(0,20px,0);
}

.menu__item-link + .menu__item-img {
	opacity: 1;
	transform: translate3d(calc(-100% - 6vw),-30%,0) rotate3d(0,0,1,4deg);
	transition: all 0.6s;
}

/* Make sure 3 items are visible in the viewport by setting suitable font size. */

.marquee {
	position: absolute;
	top: 0;
	left: 0;
	width: var(--marquee-width);
	overflow: hidden;
	pointer-events: none;
}

.marquee__inner {
	width: fit-content;
	display: flex;
	position: relative;
	transform: translate3d(var(--move-initial), 0, 0);
	animation: marquee 10s linear infinite;
	animation-play-state: paused;
	opacity: 0;
	transition: opacity 0.3s;
}

.menu__item-link ~ .marquee .marquee__inner {
	animation-play-state: running;
	opacity: 1;
	transition-duration: 0.6s;
}

.marquee span {
	text-align: center;
}

.menu__item-link,
.marquee span {
	white-space: nowrap;
    font-size: 64px;
    color: #000000;
    font-family: Domine-Medium;
	padding: 0 1vw;
	line-height: 1.15;
	animation-play-state: running;
	
}
nav.menu{margin-top: 100px;}
.marquee span {
	
}

@keyframes marquee {
	0% {
		transform: translate3d(var(--move-initial), 0, 0);
	}

	100% {
		transform: translate3d(var(--move-final), 0, 0);
	}
}

@media screen and (min-width: 53em) {
	.frame {
		text-align: left;
		display: grid;
		align-content: space-between;
		width: 100%;
		padding: 2.5rem 6vw;
		pointer-events: none;
		grid-template-columns: 75% 25%;
		grid-template-rows: auto;
	}

	.frame__title-wrap {
		display: flex;
		align-items: start;
	}

	.frame__info {
		margin: 0;
	}

	.frame__title {
		margin: 0 1rem 0 0;
	}

	.frame__links {
		padding: 0;
		justify-self: end;
	}

	.frame a {
		pointer-events: auto;
	}
}